/*******************************************************************************
 * FoxAIAction_TeaBag generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIAction_TeaBag extends FoxAIAction
    native(AI)
    editinlinenew
    hidecategories(Object);

var() const int MaxCrouches;
var() const int MinCrouches;
var transient int RandomCrouches;

// Export UFoxAIAction_TeaBag::execInitialize(FFrame&, void* const)
native function bool Initialize();

// Export UFoxAIAction_TeaBag::execTimerFinished(FFrame&, void* const)
private native final function TimerFinished();

defaultproperties
{
    MaxCrouches=4
    MinCrouches=1
    Duration=0.50
}